#ifndef VIZUALIZACE_H
#define VIZUALIZACE_H

#define Q_OS_LINUX

#include <QWidget>
#include <QDateTime>
#include <QFileSystemWatcher>
#include <QApplication>
#include <QProgressBar>
#include <QSocketNotifier>
#include <QFile>
#include <QPushButton>
#include "addwizard.h"
#include "editwizard.h"
#include "groupwizard.h"
#include "menu.h"
#include "utility.h"

//#include "analogclock.h"


class vizualizace : public QWidget
{
    Q_OBJECT

public:
    vizualizace(QWidget *parent = 0);
 

public slots:
	void IncomingDataSlot(void);
	void WizzardClose(void);
	void TimTick(void);

signals:

void DataForWindow(QByteArray &data);

private:
void ShowMenu(QByteArray rights);
int SpecRequest;
AnalogClock *clock;
QProgressBar* progressbar;
QTimer *timer;
QPushButton *button;
QFile *inpipe;
QLabel *label;
QByteArray IncomingData;
QSocketNotifier *notifuck;
QPixmap *logo;
PWindow* currwiz;
PRights UserRights;

 
};
//! [0]

#endif
